Bug 218397 - x11/rofi: Update to 1.3.1
Summary: x11/rofi: Update to 1.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D11437
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-05 12:44 UTC by Christian Geier
Modified: 2017-07-03 13:41 UTC (History)
2 users (show)

See Also:
nomoo: maintainer-feedback+


Attachments
rofi.diff (5.00 KB, patch)
2017-06-25 07:28 UTC, Tobias Kortkamp
tobik: maintainer-approval? (nomoo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Geier 2017-04-05 12:44:32 UTC
The current version in ports is from december 2015, there have been lots of releases since than, with the latest (1.3.1) this January.
Comment 1 nomoo 2017-04-06 17:05:00 UTC
Will look into it..
Comment 2 Tobias Kortkamp freebsd_committer 2017-06-25 07:28:40 UTC
Created attachment 183779 [details]
rofi.diff

Here's a patch to update rofi to 1.3.1.
Comment 3 nomoo 2017-06-30 17:33:16 UTC
tywm, Tobias! Works fine for me.
Comment 4 Tobias Kortkamp freebsd_committer 2017-07-01 08:53:38 UTC
(In reply to nomoo from comment #3)
Great!  I'll commit ASAP.
Comment 5 commit-hook freebsd_committer 2017-07-03 13:40:39 UTC
A commit references this bug:

Author: tobik
Date: Mon Jul  3 13:40:05 UTC 2017
New revision: 444954
URL: https://svnweb.freebsd.org/changeset/ports/444954

Log:
  Update to 1.3.1

  - Remove I3 option: i3 has had native EWMH support for a while now so
    the i3 workarounds are no longer needed with rofi >= 1.2.0

  Changes:	https://github.com/DaveDavenport/rofi/releases
  PR:		218397
  Approved by:	mat (mentor), nomoo@nomoo.ru (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D11437

Changes:
  head/x11/rofi/Makefile
  head/x11/rofi/distinfo
  head/x11/rofi/files/
  head/x11/rofi/pkg-plist